ListCategories
GET
/support/v1/categoriesResponse Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/support.v1.ListCategoriesResponse",
"$ref-value": {
"type": "object",
"properties": {
"categories": {
"type": "array",
"items": {
"$ref": "#/components/schemas/support.v1.Category",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "id"
},
"slug": {
"type": "string",
"examples": [
"billing"
],
"title": "slug"
},
"name": {
"type": "string",
"examples": [
"Billing & Plans"
],
"title": "name"
},
"description": {
"type": "string",
"examples": [
"Invoices, usage, upgrades, and payments"
],
"title": "description"
},
"icon": {
"type": "string",
"examples": [
"credit-card"
],
"title": "icon"
},
"sort_order": {
"type": "integer",
"examples": [
"2"
],
"title": "sort_order",
"format": "int32"
}
},
"title": "Category",
"additionalProperties": false
}
},
"title": "categories"
}
},
"title": "ListCategoriesResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/support/v1/categories"Success
application/json
{
"$ref": "#/components/schemas/support.v1.ListCategoriesResponse",
"$ref-value": {
"type": "object",
"properties": {
"categories": {
"type": "array",
"items": {
"$ref": "#/components/schemas/support.v1.Category",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "id"
},
"slug": {
"type": "string",
"examples": [
"billing"
],
"title": "slug"
},
"name": {
"type": "string",
"examples": [
"Billing & Plans"
],
"title": "name"
},
"description": {
"type": "string",
"examples": [
"Invoices, usage, upgrades, and payments"
],
"title": "description"
},
"icon": {
"type": "string",
"examples": [
"credit-card"
],
"title": "icon"
},
"sort_order": {
"type": "integer",
"examples": [
"2"
],
"title": "sort_order",
"format": "int32"
}
},
"title": "Category",
"additionalProperties": false
}
},
"title": "categories"
}
},
"title": "ListCategoriesResponse",
"additionalProperties": false
}
}